git-annex-registerurl(1)

NAME
git-annex-registerurl - registers an url for a key

SYNOPSIS
git annex registerurl [key url]

DESCRIPTION
This plumbing-level command can be used to register urls where a key can be downloaded from.

No verification is performed of the url's contents.

If the key and url are not specified on the command line, they are instead read from stdin. Any number of lines can be provided in this mode, each containing a key and url, separated by a single space.

Normally the key is a git-annex formatted key. However, to make it easier to use this to add urls, if the key cannot be parsed as a key, and is a valid url, an URL key is constructed from the url.

SEE ALSO
git-annex(1)

git-annex-addurl(1)

AUTHOR
Joey Hess <id@joeyh.name>